Subject: Updates on draft GMPLS LSP Dynamical Provisioning Performance Metrics

From: "Weiqiang Sun" <[email-masked]>
Date: Tue, 5 Jun 2007 09:43:55 +0800

Hi all,

We have updated the GMPLS LSP DPPM draft recently (see announcement below).
The draft has received positive responses after the last CCAMP meeting. A
discussion group was later setup by Guoying Zhang (RITT, MII of China).
Thanks for those who has participated in the group and gave suggestions. In
particular, we would like to thank Monique Morrow (Cisco) for indicating a
new draft in benchmarking WG related to RSVP-TE performance authored by
Cisco folks
(http://www.ietf.org/internet-drafts/draft-vapiwala-bmwg-rsvpte-convergence-
motivation-00.txt). We regard this as interests in GMPLS performance, whose
progress will help motivating and progressing the GMPLS LSP DPPM draft.

The major improvements in this version include:

1) We modified the intro part to state the fact that the metrics defined are
also applicable for TE-MIB inclusion, as may be interest of carriers to
monitor the control plane performance in realtime, through NMS.

2) We corrected some error pointed out by X. Wei(Fiberhome) and J.
Gao(Huawei).

3) We changed the measurement unit from "seconds" to "milli-seconds" as
devices that have an averaged per-node processing delay of less than 100ms
is readily available.

During preparation of this version, there has been controversy on whether
and how LSP rerouting metrics should be added to the draft. Carriers have
shown their interest in this metric. However, it seems to us that the
measurement of rerouting time will inevitably change the simplicity of
methodologies that have been introduced in the draft so far, and the
measurement may also be tightly coupled with implementations. Finally
Guoying and I would rather leave it to the working group for possible
suggestions and solutions. 

Please kindly give your comments and suggestions.

Regards,

Weiqiang Sun

Shanghai Jiao Tong University

To: i-d-announce at ietf.org 

Subject: I-D ACTION:draft-xie-ccamp-lsp-dppm-01.txt 

From: Internet-Drafts at ietf.org 

Date: Wed, 30 May 2007 18:50:01 -0400 

A New Internet-Draft is available from the on-line Internet-Drafts 

directories.

         Title           : Label Switched Path (LSP) Dynamical Provisioning
Performance Metrics in Generalized MPLS Networks

         Author(s)  : G. Xie, et al.

         Filename : draft-xie-ccamp-lsp-dppm-01.txt

         Pages                : 34

         Date          : 2007-5-30

…
A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-xie-ccamp-lsp-dppm-01.txt

-----Original Message-----
From: Monique Morrow [mailto:[email-masked]] 
Sent: Thursday, May 31, 2007 2:54 AM
To: [email-masked]
Cc: 'BRUNGARD, DEBORAH A, ATTLABS'; 'zhangguoying'; 'Han Jianghui';
'blithe'; 'xqwei'; 'gjhhit'; 'lufang'; 'i-nishioka'; 'julien.meuric';
'MORTON, ALFRED C, JR. (AL), ATTLABS'; 'Weisheng HU'; [email-masked];
[email-masked]
Subject: Re: New discussion group formed on draft GMPLS LSP DPPM

I shall do this -- stay tuned!

On 5/25/07 9:38 PM, "Weiqiang Sun" <[email-masked]> wrote:

> Hi Monique,

> It's nice that we have one other language in common :)

> Last month when Fred Baker visited SJTU, we were given five minutes to

> introduce the draft. Mr. Baker showed interest in this and we also

> mentioned your involvement in this :).

> We are happy to see that cisco folks also started to work on this,

> though in BMWG. It would be great if you could kindly introduce the

> authors of the draft into this discussion group and possiblly arrange a

> discussion in the next ietf meeting for us, which I believe will

> increase mutual understanding and help fasten the standardization

> process of metrics and related methodologies.

> Thanks.

> --

> Weiqiang

> SJTU

> On 2007-05-25 08:06 -0700，Monique Morrow Wrote:

> Nimen hao!

>> Your timing is perfect as I was about to ping you on the draft.

>> You may want to look at new draft for possible harmonization with the
GMPLS

>> LSP DDPM draft:

http://www.ietf.org/internet-drafts/draft-vapiwala-bmwg-rsvpte-convergence-m

>> otivation-00.txt

>> Kind regards,

>> Monique

>> On 5/25/07 1:35 AM, "Weiqiang Sun" <[email-masked]> wrote:

>>> Hi all,

>>> We have just updated the draft GMPLS LSP DPPM according the feedbacks we
get

>>> since its publication on IETF website. Many thanks to those who have
given

>>> valuable suggestions and also to Adrian and Deborah for allocating the
slot

>>> in the last meeting.

>>> The major improvements are:

>>> 1) We modified the intro part to state the fact that the metrics defined
are

>>> also applicable for TE-MIB inclusion, as may be interest of carriers to

>>> monitor the control plane performance in realtime, through NMS.

>>> 2) We corrected some error pointed out by X. Wei(Fiberhome) and J.

>>> Gao(Huawei).

>>> 3) We changed the measurement unit from "seconds" to "milli-seconds" as

>>> devices that have an averaged per-node processing delay of less than
100ms

>>> is readily available.

>>> The updated draft is attached for your review, before we submit it to
IETF

>>> for publication. Please give your comments.

>>> Thanks and regards.

>>> Weiqiang

>>> SJTU

>>> -----Original Message-----

>>> From: Weiqiang Sun [mailto:[email-masked]]

>>> Sent: Thursday, April 05, 2007 1:11 PM

>>> To: 'BRUNGARD, DEBORAH A, ATTLABS'; 'Monique Morrow'; 'zhangguoying';
'Han

>>> Jianghui'; 'blithe'; 'xqwei'; 'gjhhit'; 'lufang'; 'i-nishioka';

>>> 'julien.meuric'; 'MORTON, ALFRED C, JR. (AL), ATTLABS'

>>> Cc: 'Weisheng HU'; [email-masked]'; [email-masked]'

>>> Subject: RE: New discussion group formed on draft GMPLS LSP DPPM

>>> Hi all,

>>> It is really nice to have all of you together to discuss this draft. The

>>> draft team has had a difficult time when the draft was in its primary
stage

>>> months ago. Now I believe your valuable suggestions and comments will
make

>>> it a lot easier.

>>> As you may be aware, the draft deals only with control plane
performance, in

>>> terms of circuit provisioning capability. One reason that justifies this

>>> work, IMHO, is that the control plane not only automates the
provisioning

>>> process, but more importantly, it also significantly reduces the setup

>>> delay. This opens up opportunities for applications or services that
rely on

>>> dynamically provisioned circuits. One such application has been
implemented

>>> in a GMPLS testbed in Eastern China. However, up to date, there is no

>>> systematic way to evaluate the provisioning performance of the control

>>> plane, especially when the circuit hold-time is comparable with or
several

>>> times the provisioning delay. A set of standardized metrics that vividly

>>> characterize the performance of control plane will definitely increase
the

>>> confidence of applying GMPLS networks in the most natural way and help
to

>>> design a proper timing model.

>>> At the same time, as you may have seen in Guoying's talk during the last
WG

>>> meeting, although variations are observed for all traffic loads

>>> (dynamicity), higher load will lead to higher variation in provisioning

>>> delay. As control plane scalability and resilience issues are getting
into

>>> our sight, a set of standardized metrics will hopefully stimulate the

>>> improvement of control plane implementations, e.g., using hardware

>>> acceleration to reduce the processing time and variation. A reliable and

>>> stable control plane implementation will in turn encourage novel

>>> applications being devised.

>>> Hope Monique would be satisfied with this in regarding to question 2. :)

>>> As to the metrics themselves, the existing ones are merely about control

>>> plane performance, with no regard to CP DP synchronization. This is the
most

>>> lightweight solution we can think of so far and is reasonable when the
time

>>> needed to establish a local XC is neglectable if compared with signaling

>>> processing delay. If this is not the case, still, we can use the control

>>> plane delay, plus a constant representing the XC operation overhead.

>>> By the term provisioning, we have intended to describe application
models

>>> that circuits are established PRIOR to data transfer. This is different
from

>>> the reroute model, where data transfer are ongoing and the rerouting

>>> procedure will eventually leads to packet loss (or service
interruption).

>>> Thus a more reasonable metric that describes rerouting performance, in
my

>>> opinion, would be packet loss, or service interruption time, not delay
(in

>>> the control plane's point of view).It seems to me that measurement of
GMPLS

>>> LSP rerouting is very similar to measurement of MPLS protection, which
is

>>> now been defined in BMWG. Personally, I suggest we initiate another
draft to

>>> deal of LSP rerouting, with reference to MPLS protection in BMWG.
Hopefully

>>> we can get more suggestions from Al in this direction.

>>> For the first question raised by Monique, I have nothing to say by now
since

>>> we are still working on the mentioned documents. Should you have any

>>> comments, please let us know.

>>> For the discussion group, we have a new member, Dr. Huandong Zhao from
China

>>> Telecom Shanghai Research Institute.

>>> Cheers,

>>> Weiqiang

>>> SJTU

>>> -----Original Message-----

>>> From: BRUNGARD, DEBORAH A, ATTLABS [mailto:[email-masked]]

>>> Sent: Wednesday, April 04, 2007 1:56 AM

>>> To: Monique Morrow; zhangguoying; Weiqiang Sun; Han Jianghui; blithe;
xqwei;

>>> gjhhit; lufang; i-nishioka; julien.meuric; MORTON, ALFRED C, JR. (AL),

>>> ATTLABS

>>> Subject: RE: New discussion group formed on draft GMPLS LSP DPPM

>>> Hi all,

>>> I've added Al's address-

>>> Deborah 

>>> -----Original Message-----

>>> From: Monique Morrow [mailto:[email-masked]]

>>> Sent: Monday, April 02, 2007 5:16 AM

>>> To: zhangguoying; Weiqiang Sun; 'Han Jianghui'; 'blithe'; 'xqwei';
'gjhhit';

>>> BRUNGARD, DEBORAH A, ATTLABS; lufang; i-nishioka; julien.meuric

>>> Subject: Re: New discussion group formed on draft GMPLS LSP DPPM

>>> Greetings colleagues,

>>> This is an excellent proposal in terms of focused dialogue with regard
to

>>> this topic. 

>>> To progress:

>>> - Important is note what work has been done in this direction  <Al
Morton

>>> has done quite a bit of work  -- in this direction for example in the
ITU

>>> <y.1540, y.1541, y.1542> -- gap analysis as to what is missing;

>>> - Agreement as to the metrics themselves ;

>>> - Problem to be solved -- why is this an important ? <somewhat implied
in

>>> the draft;

>>> - Method as to actual mechanism to measure would be last IMHO;

>>> Looking forward -

>>> /m 

>>> On 2/4/07 12:08 am, "zhangguoying" <[email-masked]>
wrote:

>>>> Hi all,

>>>> Fist of all, I suggest we form a new discussion group to include
experts

>>> who

>>>> are interested in the "GMPLS LSP dynamic provisioning performance
draft"

>>>> during the IETF 68 meeting.

>>>> Let me say welcome to:

>>>> Julien Meuric, France Telecom,

>>>> Deborah A. Brungard, AT&T,

>>>> Monique Jeanne Morrow, Cisco,

>>>> Luyuan Fang, Cisco

>>>> Itaru Nishioka, NEC

>>>> Deborah would also introduce her colleague Al Morton, chair of the

>>>> benchmarking methodology WG to join our discussion.

>>>> The previous discussion group include :

>>>> Guowu Xie,SJTU

>>>> Weiqiang Sun,SJTU

>>>> Guoying Zhang, CATR MII

>>>> Jianghui Han, IXIA

>>>> Xueqing Wei, Fiberhome

>>>> Jianhua Gao, Huawei

>>>> Here are some important suggestions I received during the meeting:

>>>> 1. Hear more voices and comments from the carriers. Currently the draft

>>> could

>>>> be discussed in ccamp group, but may be transfered to the management AD

>>>> later.---- Adrian

>>>> 2. Refer to the work of benchmarking WG. ---- Deborah

>>>> 3. Include the performance metrics of LSP rerouting. These performance

>>> metrics

>>>> would be useful if the GMPLS MIB support monitoring them in deployed

>>>> network.---- Julien

>>>> 4. Define the method on how to measure the performance metrics, and
refer

>>> to

>>>> the work of benchmarking WG.  ----Itaru Nishioka

>>>> Next we should discuss the plan for 01 version. I suggest we fist refer
to

>>> the

>>>> benchmarking methodology WG work, and consider the possibility of

>>> including

>>>> the LSP rerouting performance in the 01 version.

>>>> 　　　　　　　　zhangguoying

>>>>                Institute of Telecommunication Standards

>>>>                China Academy of Telecom Research ,MII

>>>> 　　　　　　　　[email-masked]

>>>> 　　　　　　　　　　2007-04-02

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 5 Jun 2007 08:34:46 -0400

On Jun 4, 2007:9:43 PM, at 9:43 PM, Weiqiang Sun wrote:

> Hi all,
>
>
>
> We have updated the GMPLS LSP DPPM draft recently (see announcement  
> below). The draft has received positive responses after the last  
> CCAMP meeting. A discussion group was later setup by Guoying Zhang  
> (RITT, MII of China). Thanks for those who has participated in the  
> group and gave suggestions. In particular, we would like to thank  
> Monique Morrow (Cisco) for indicating a new draft in benchmarking  
> WG related to RSVP-TE performance authored by Cisco folks (http:// 
> www.ietf.org/internet-drafts/draft-vapiwala-bmwg-rsvpte-convergence- 
> motivation-00.txt). We regard this as interests in GMPLS  
> performance, whose progress will help motivating and progressing  
> the GMPLS LSP DPPM draft.
>
>
>
> 1) We modified the intro part to state the fact that the metrics  
> defined are also applicable for TE-MIB inclusion, as may be  
> interest of carriers to monitor the control plane performance in  
> realtime, through NMS.

	Just to be precise, do you mean RFC3812?  That is called the MPLS-TE- 
STD-MIB in case you do.

	--Tom

> 3) We changed the measurement unit from "seconds" to "milli- 
> seconds" as devices that have an averaged per-node processing delay  
> of less than 100ms is readily available.
>
>
>
> During preparation of this version, there has been controversy on  
> whether and how LSP rerouting metrics should be added to the draft.  
> Carriers have shown their interest in this metric. However, it  
> seems to us that the measurement of rerouting time will inevitably  
> change the simplicity of methodologies that have been introduced in  
> the draft so far, and the measurement may also be tightly coupled  
> with implementations. Finally Guoying and I would rather leave it  
> to the working group for possible suggestions and solutions.
>
>
>
>          Title           : Label Switched Path (LSP) Dynamical  
> Provisioning Performance Metrics in Generalized MPLS Networks
>
> 'blithe'; 'xqwei'; 'gjhhit'; 'lufang'; 'i-nishioka';  
> 'julien.meuric'; 'MORTON, ALFRED C, JR. (AL), ATTLABS'; 'Weisheng  
> HU'; [email-masked]; [email-masked]
> >> You may want to look at new draft for possible harmonization  
> with the GMPLS
>
> >> LSP DDPM draft:
>
> >>
>
> >>> We have just updated the draft GMPLS LSP DPPM according the  
> feedbacks we get
>
> >>> since its publication on IETF website. Many thanks to those who  
> have given
>
> >>> valuable suggestions and also to Adrian and Deborah for  
> allocating the slot
>
> >>> in the last meeting.
>
> >>>
>
> >>> The updated draft is attached for your review, before we submit  
> it to IETF
>
> >>> To: 'BRUNGARD, DEBORAH A, ATTLABS'; 'Monique Morrow';  
> 'zhangguoying'; 'Han
>
> >>> draft team has had a difficult time when the draft was in its  
> primary stage
>
> >>> months ago. Now I believe your valuable suggestions and  
> comments will make
>
> >>> it a lot easier.
>
> >>>
>
> >>> delay. This opens up opportunities for applications or services  
> that rely on
>
> >>> plane, especially when the circuit hold-time is comparable with  
> or several
>
> >>> characterize the performance of control plane will definitely  
> increase the
>
> >>> confidence of applying GMPLS networks in the most natural way  
> and help to
>
> >>> At the same time, as you may have seen in Guoying's talk during  
> the last WG
>
> >>> delay. As control plane scalability and resilience issues are  
> getting into
>
> >>> plane performance, with no regard to CP DP synchronization.  
> This is the most
>
> >>> lightweight solution we can think of so far and is reasonable  
> when the time
>
> >>> By the term provisioning, we have intended to describe  
> application models
>
> >>> that circuits are established PRIOR to data transfer. This is  
> different from
>
> >>> Thus a more reasonable metric that describes rerouting  
> performance, in my
>
> >>> opinion, would be packet loss, or service interruption time,  
> not delay (in
>
> >>> the control plane's point of view).It seems to me that  
> measurement of GMPLS
>
> >>> LSP rerouting is very similar to measurement of MPLS  
> protection, which is
>
> >>> now been defined in BMWG. Personally, I suggest we initiate  
> another draft to
>
> >>> deal of LSP rerouting, with reference to MPLS protection in  
> BMWG. Hopefully
>
> >>> For the first question raised by Monique, I have nothing to say  
> by now since
>
> >>> For the discussion group, we have a new member, Dr. Huandong  
> Zhao from China
>
> >>> To: Monique Morrow; zhangguoying; Weiqiang Sun; Han Jianghui;  
> blithe; xqwei;
>
> >>> To: zhangguoying; Weiqiang Sun; 'Han Jianghui'; 'blithe';  
> 'xqwei'; 'gjhhit';
>
> >>> This is an excellent proposal in terms of focused dialogue with  
> regard to
>
> >>> this topic.
>
> >>>
>
> >>> To progress:
>
> >>>
>
> >>>
>
> >>> - Important is note what work has been done in this direction   
> <Al Morton
>
> >>> has done quite a bit of work  -- in this direction for example  
> in the ITU
>
> >>> - Problem to be solved -- why is this an important ? <somewhat  
> implied in
>
> >>> the draft;
>
> >>>
>
> >>> On 2/4/07 12:08 am, "zhangguoying"  
> <[email-masked]> wrote:
>
> >>>
>
> >>>> Hi all,
>
> >>>>
>
> >>>> Fist of all, I suggest we form a new discussion group to  
> include experts
>
> >>> who
>
> >>>> are interested in the "GMPLS LSP dynamic provisioning  
> performance draft"
>
> >>>> 4. Define the method on how to measure the performance  
> metrics, and refer
>
> >>> to
>
> >>>> Next we should discuss the plan for 01 version. I suggest we  
> fist refer to
>
> >>> the
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 5 Jun 2007 14:03:34 +0100

> Just to be precise, do you mean RFC3812?  That is called the MPLS-TE- 

Or RFC 4802 (GMPLS-TE-STD-MIB)

I suggest you add a reference so it is clear.

Thanks,
Adrian